# pgpPktUid_s Struct Reference
[RPMPGP.]

5.11. More...

`#include <rpmio/rpmpgp.h>`

## Data Fields

uint8_t | userid [1]

## Detailed Description

5.11.

User ID Packet (Tag 13)

A User ID packet consists of data that is intended to represent the name and email address of the key holder. By convention, it includes an RFC 822 mail name, but there are no restrictions on its content. The packet length in the header specifies the length of the user id. If it is text, it is encoded in UTF-8.

Definition at line 1048 of file rpmpgp.h.

## Field Documentation

uint8_t pgpPktUid_s::userid[1]

Definition at line 1049 of file rpmpgp.h.

The documentation for this struct was generated from the following file:

- rpmio/rpmpgp.h